Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#33 RPi xbian's upgrade request

Undecided
open
nobody
None
1
2013-04-21
2013-04-19
Pawlisko
No

Hi there,

Any chance you could update aria2 in Raspberry Pi's Debian Repository?

I have v. 1.15.1 which is most current using apt-get command.

I'm starting with this request because my aria2 service (daemon) is shutting down after few minutes of download. So hopefully newest version does not have this problem.

Thanks

Discussion

  • tujikawa
    tujikawa
    2013-04-19

    Unfortunately, I have no authority to update RPi Debian package. Please contact package maintainer. That said, I have some Ubuntu PPA, so it might help you: https://launchpad.net/~t-tujikawa/+archive/ppa

    The version you are using is a bit old and we have fixed some stability problems since then, but if you could tell us more details about the shutdown issue, we can say something more about it. Also sending aria2 log helps us too.

     
  • Pawlisko
    Pawlisko
    2013-04-21

    Hi there,

    Thank you so much for answering. I am using Debian wheezy so I guess no luck for me. I am posting at RPi forum about upgrade so when I will know something I let you know.

    Some info:
    I have 4 ports open to internet all UDP 500/1701/4500 - for L2TP/IPSec VPN Server and UDP 1194 for OpenVPN Server. All other ports are closed for inbound traffic.

    I do have web access via webui-aria2, this time it reported 64.2 MB downloaded and than it stopped abruptly. When I tried to reload webpage it said that were problem talking to the socket

    Config files below, log attached. If you need anything else please let me know.

    /etc/init.d/aria2
    (HASH)!/bin/sh
    NAME=aria2c
    ARIA2C=/usr/bin/$NAME
    PIDFILE=/var/run/$NAME.pid
    CONF=/etc/aria2c.conf
    USER=root
    ARGS="--daemon=true --enable-rpc --rpc-listen-all --conf-path=/etc/aria2.conf"
    test -f $ARIA2C || exit 0
    . /lib/lsb/init-functions
    case "$1" in
    start) log_daemon_msg "Starting aria2c"
    start-stop-daemon --start --quiet -b -m --pidfile $PIDFILE --chuid $USER --startas $ARIA2C -- $ARGS
    log_end_msg $?
    ;;
    stop) log_daemon_msg "Stopping aria2c"
    start-stop-daemon --stop --retry="TERM/30/KILL/5" --exec $ARIA2C --user $USER --chuid $USER
    log_end_msg $?
    ;;
    restart|reload|force-reload)
    log_daemon_msg "Restarting aria2c"
    start-stop-daemon --stop --retry="TERM/30/KILL/5" --exec $ARIA2C --user $USER --chuid $USER
    start-stop-daemon --start --quiet -b -m --pidfile $PIDFILE --chuid $USER --startas $ARIA2C -- $ARGS
    log_end_msg $?
    ;;
    status)
    status_of_proc -p $PIDFILE $ARIA2C aria2c && exit 0 || exit $?
    ;;
    *) log_action_msg "Usage: /etc/init.d/aria2c {start|stop|restart|reload|force-reload|status}"
    exit 2
    ;;
    esac

    /etc/aria2.conf
    rpc-listen-port=6800
    dir=/mnt/Maxtor/aria
    continue
    file-allocation=none
    log=/mnt/Maxtor/aria/aria.log
    log-level=debug
    max-connection-per-server=4
    summary-interval=120
    disable-ipv6=true
    disk-cache=25M
    timeout=600
    retry-wait=30
    max-tries=50

    BTW - when I restart service even thou there are files in directory it does not continue download, I have to start over

    Thanks

     
    Last edit: Pawlisko 2013-04-21
    Attachments